#
# spec file for package libyaml
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libyaml
Version:        0.1.3
Release:        1.4
#
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#
Url:            http://pyyaml.org/wiki/LibYAML
Source:         http://pyyaml.org/download/libyaml/yaml-0.1.3.tar.gz
#
Summary:        A YAML 1.1 parser and emitter written in C

%description
A YAML 1.1 parser and emitter written in C



%define lib_name libyaml-0-2

%package -n %{lib_name}


Group:          Development/Libraries/C and C++
#
Summary:        Shared library from libyaml

%description -n %{lib_name}
A YAML 1.1 parser and emitter written in C

This package holds the shared library of libyaml.

%package devel
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Requires:       %{lib_name} = %{version}
#
Summary:        Development files for libyaml

%description devel
A YAML 1.1 parser and emitter written in C

This package holds the development files for libyaml.



%prep
%setup -n yaml-%{version}

%build
%configure --with-pic --disable-static
make %{?_smp_flags}

%install
%makeinstall
find %{buildroot} -name \*.la -exec rm -fv {} \;

%check
make check

%clean
rm -rf %{buildroot}

%post   -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/libyaml-0.so.2
%{_libdir}/libyaml-0.so.2.0.1

%files devel
%defattr(-,root,root,-)
%{_includedir}/yaml.h
%{_libdir}/libyaml.so

%changelog
* Tue Feb  8 2011 ma@novell.com
- fix specfile
* Tue Apr  6 2010 mrueckert@suse.de
- initial package of version 0.1.3
